#include "test.hh"
#include <QApplication>
#include <QtGui>
#include "TQtWidget.h"
#include "TGraph.h"
#include "TSpline.h"
#include "TRandom.h"

MainWindow::MainWindow(): g(0), s(0)
{
  w = new TQtWidget(this);
  setCentralWidget(w);
  
  QPushButton *button = new QPushButton(this);
  button->setText("Plot graph");
  connect(button, SIGNAL(clicked()), SLOT(PlotGraph()));
}

void MainWindow::PlotGraph()
{
  w->GetCanvas()->cd();
    
  delete g;
  g = new TGraph(10);
  g->SetMarkerStyle(2);
  for (int i = 0; i < 10; ++i)
    g->SetPoint(i, i, gRandom->Gaus());
  g->Draw("a*");

  delete s;
  s = new TSpline3("", g);
  s->SetLineColor(kRed);
  s->SetLineWidth(2);
  s->Draw("same");

  w->GetCanvas()->Modified();
  w->GetCanvas()->Update();
}

int main(int argc, char *argv[])
{
  QApplication app(argc, argv);
  MainWindow mw;
  mw.show();
  mw.resize(600, 400);
  
  return app.exec();
}
